% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/elasticbeanstalk_operations.R
\name{elasticbeanstalk_update_application_resource_lifecycle}
\alias{elasticbeanstalk_update_application_resource_lifecycle}
\title{Modifies lifecycle settings for an application}
\usage{
elasticbeanstalk_update_application_resource_lifecycle(ApplicationName,
  ResourceLifecycleConfig)
}
\arguments{
\item{ApplicationName}{[required] The name of the application.}

\item{ResourceLifecycleConfig}{[required] The lifecycle configuration.}
}
\value{
A list with the following syntax:\preformatted{list(
  ApplicationName = "string",
  ResourceLifecycleConfig = list(
    ServiceRole = "string",
    VersionLifecycleConfig = list(
      MaxCountRule = list(
        Enabled = TRUE|FALSE,
        MaxCount = 123,
        DeleteSourceFromS3 = TRUE|FALSE
      ),
      MaxAgeRule = list(
        Enabled = TRUE|FALSE,
        MaxAgeInDays = 123,
        DeleteSourceFromS3 = TRUE|FALSE
      )
    )
  )
)
}
}
\description{
Modifies lifecycle settings for an application.
}
\section{Request syntax}{
\preformatted{svc$update_application_resource_lifecycle(
  ApplicationName = "string",
  ResourceLifecycleConfig = list(
    ServiceRole = "string",
    VersionLifecycleConfig = list(
      MaxCountRule = list(
        Enabled = TRUE|FALSE,
        MaxCount = 123,
        DeleteSourceFromS3 = TRUE|FALSE
      ),
      MaxAgeRule = list(
        Enabled = TRUE|FALSE,
        MaxAgeInDays = 123,
        DeleteSourceFromS3 = TRUE|FALSE
      )
    )
  )
)
}
}

\keyword{internal}
